Syndai Docs

Remove a knowledge source

DELETE
/api/v1/external/coding/repos/{coding_repository_id}/knowledge/sources/{source_id}

Detach a tool or Google Drive from the project, or delete a synced folder or the uploads with all their files and text. Requires coding:knowledge:sync.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Path Parameters

coding_repository_id*string
Formatuuid
source_id*string
Formatuuid

Query Parameters

customer_id?|null

Response Body

Request fulfilled, nothing follows

Example Request
curl -X DELETE 'https://api.syndai.ai/api/v1/external/coding/repos/497f6eca-6276-4993-bfeb-53cbbbba6f08/knowledge/sources/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
Empty
Was this page helpful?